Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface SqlMessageFilterDocument.SqlMessageFilter

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  SqlMessageFilterDocumentImpl.SqlMessageFilterImpl

Enclosing interface:
  SqlMessageFilterDocument

    public static interface SqlMessageFilterDocument.SqlMessageFilter

extends org.apache.xmlbeans.XmlObject

An XML sql-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `SqlMessageFilterDocument.SqlMessageFilter.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`boolean` | `getErrorDelete()` Gets the "error-delete" attribute
`java.lang.String` | `getInsertTimestampColumn()` Gets the "insert-timestamp-column" attribute
`java.lang.String` | `getMessageColumn()` Gets the "message-column" attribute
`java.lang.String` | `getMessageIdColumn()` Gets the "message-id-column" attribute
`java.lang.String` | `getOrderBy()` Gets the "order-by" attribute
`boolean` | `getPostDelete()` Gets the "post-delete" attribute
`java.lang.String` | `getStatusColumn()` Gets the "status-column" attribute
`java.lang.String` | `getTablename()` Gets the "tablename" attribute
`java.lang.String` | `getWhereCondition()` Gets the "where-condition" attribute
`boolean` | `isSetErrorDelete()` True if has "error-delete" attribute
`boolean` | `isSetInsertTimestampColumn()` True if has "insert-timestamp-column" attribute
`boolean` | `isSetOrderBy()` True if has "order-by" attribute
`boolean` | `isSetPostDelete()` True if has "post-delete" attribute
`boolean` | `isSetWhereCondition()` True if has "where-condition" attribute
`void` | `setErrorDelete(boolean errorDelete)` Sets the "error-delete" attribute
`void` | `setInsertTimestampColumn(java.lang.String insertTimestampColumn)` Sets the "insert-timestamp-column" attribute
`void` | `setMessageColumn(java.lang.String messageColumn)` Sets the "message-column" attribute
`void` | `setMessageIdColumn(java.lang.String messageIdColumn)` Sets the "message-id-column" attribute
`void` | `setOrderBy(java.lang.String orderBy)` Sets the "order-by" attribute
`void` | `setPostDelete(boolean postDelete)` Sets the "post-delete" attribute
`void` | `setStatusColumn(java.lang.String statusColumn)` Sets the "status-column" attribute
`void` | `setTablename(java.lang.String tablename)` Sets the "tablename" attribute
`void` | `setWhereCondition(java.lang.String whereCondition)` Sets the "where-condition" attribute
`void` | `unsetErrorDelete()` Unsets the "error-delete" attribute
`void` | `unsetInsertTimestampColumn()` Unsets the "insert-timestamp-column" attribute
`void` | `unsetOrderBy()` Unsets the "order-by" attribute
`void` | `unsetPostDelete()` Unsets the "post-delete" attribute
`void` | `unsetWhereCondition()` Unsets the "where-condition" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetErrorDelete()` Gets (as xml) the "error-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetInsertTimestampColumn()` Gets (as xml) the "insert-timestamp-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessageColumn()` Gets (as xml) the "message-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessageIdColumn()` Gets (as xml) the "message-id-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetOrderBy()` Gets (as xml) the "order-by" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostDelete()` Gets (as xml) the "post-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetStatusColumn()` Gets (as xml) the "status-column" attribute
`org.apache.xmlbeans.XmlString` | `xgetTablename()` Gets (as xml) the "tablename" attribute
`org.apache.xmlbeans.XmlString` | `xgetWhereCondition()` Gets (as xml) the "where-condition" attribute
`void` | `xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)` Sets (as xml) the "error-delete" attribute
`void` | `xsetInsertTimestampColumn(org.apache.xmlbeans.XmlString insertTimestampColumn)` Sets (as xml) the "insert-timestamp-column" attribute
`void` | `xsetMessageColumn(org.apache.xmlbeans.XmlString messageColumn)` Sets (as xml) the "message-column" attribute
`void` | `xsetMessageIdColumn(org.apache.xmlbeans.XmlString messageIdColumn)` Sets (as xml) the "message-id-column" attribute
`void` | `xsetOrderBy(org.apache.xmlbeans.XmlString orderBy)` Sets (as xml) the "order-by" attribute
`void` | `xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)` Sets (as xml) the "post-delete" attribute
`void` | `xsetStatusColumn(org.apache.xmlbeans.XmlString statusColumn)` Sets (as xml) the "status-column" attribute
`void` | `xsetTablename(org.apache.xmlbeans.XmlString tablename)` Sets (as xml) the "tablename" attribute
`void` | `xsetWhereCondition(org.apache.xmlbeans.XmlString whereCondition)` Sets (as xml) the "where-condition" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getTablename

    java.lang.String getTablename()

  Gets the "tablename" attribute

### xgetTablename

    org.apache.xmlbeans.XmlString xgetTablename()

  Gets (as xml) the "tablename" attribute

### setTablename

    void setTablename(java.lang.String tablename)

  Sets the "tablename" attribute

### xsetTablename

    void xsetTablename(org.apache.xmlbeans.XmlString tablename)

  Sets (as xml) the "tablename" attribute

### getMessageIdColumn

    java.lang.String getMessageIdColumn()

  Gets the "message-id-column" attribute

### xgetMessageIdColumn

    org.apache.xmlbeans.XmlString xgetMessageIdColumn()

  Gets (as xml) the "message-id-column" attribute

### setMessageIdColumn

    void setMessageIdColumn(java.lang.String messageIdColumn)

  Sets the "message-id-column" attribute

### xsetMessageIdColumn

    void xsetMessageIdColumn(org.apache.xmlbeans.XmlString messageIdColumn)

  Sets (as xml) the "message-id-column" attribute

### getMessageColumn

    java.lang.String getMessageColumn()

  Gets the "message-column" attribute

### xgetMessageColumn

    org.apache.xmlbeans.XmlString xgetMessageColumn()

  Gets (as xml) the "message-column" attribute

### setMessageColumn

    void setMessageColumn(java.lang.String messageColumn)

  Sets the "message-column" attribute

### xsetMessageColumn

    void xsetMessageColumn(org.apache.xmlbeans.XmlString messageColumn)

  Sets (as xml) the "message-column" attribute

### getStatusColumn

    java.lang.String getStatusColumn()

  Gets the "status-column" attribute

### xgetStatusColumn

    org.apache.xmlbeans.XmlString xgetStatusColumn()

  Gets (as xml) the "status-column" attribute

### setStatusColumn

    void setStatusColumn(java.lang.String statusColumn)

  Sets the "status-column" attribute

### xsetStatusColumn

    void xsetStatusColumn(org.apache.xmlbeans.XmlString statusColumn)

  Sets (as xml) the "status-column" attribute

### getWhereCondition

    java.lang.String getWhereCondition()

  Gets the "where-condition" attribute

### xgetWhereCondition

    org.apache.xmlbeans.XmlString xgetWhereCondition()

  Gets (as xml) the "where-condition" attribute

### isSetWhereCondition

    boolean isSetWhereCondition()

  True if has "where-condition" attribute

### setWhereCondition

    void setWhereCondition(java.lang.String whereCondition)

  Sets the "where-condition" attribute

### xsetWhereCondition

    void xsetWhereCondition(org.apache.xmlbeans.XmlString whereCondition)

  Sets (as xml) the "where-condition" attribute

### unsetWhereCondition

    void unsetWhereCondition()

  Unsets the "where-condition" attribute

### getOrderBy

    java.lang.String getOrderBy()

  Gets the "order-by" attribute

### xgetOrderBy

    org.apache.xmlbeans.XmlString xgetOrderBy()

  Gets (as xml) the "order-by" attribute

### isSetOrderBy

    boolean isSetOrderBy()

  True if has "order-by" attribute

### setOrderBy

    void setOrderBy(java.lang.String orderBy)

  Sets the "order-by" attribute

### xsetOrderBy

    void xsetOrderBy(org.apache.xmlbeans.XmlString orderBy)

  Sets (as xml) the "order-by" attribute

### unsetOrderBy

    void unsetOrderBy()

  Unsets the "order-by" attribute

### getInsertTimestampColumn

    java.lang.String getInsertTimestampColumn()

  Gets the "insert-timestamp-column" attribute

### xgetInsertTimestampColumn

    org.apache.xmlbeans.XmlString xgetInsertTimestampColumn()

  Gets (as xml) the "insert-timestamp-column" attribute

### isSetInsertTimestampColumn

    boolean isSetInsertTimestampColumn()

  True if has "insert-timestamp-column" attribute

### setInsertTimestampColumn

    void setInsertTimestampColumn(java.lang.String insertTimestampColumn)

  Sets the "insert-timestamp-column" attribute

### xsetInsertTimestampColumn

    void xsetInsertTimestampColumn(org.apache.xmlbeans.XmlString insertTimestampColumn)

  Sets (as xml) the "insert-timestamp-column" attribute

### unsetInsertTimestampColumn

    void unsetInsertTimestampColumn()

  Unsets the "insert-timestamp-column" attribute

### getPostDelete

    boolean getPostDelete()

  Gets the "post-delete" attribute

### xgetPostDelete

    org.apache.xmlbeans.XmlBoolean xgetPostDelete()

  Gets (as xml) the "post-delete" attribute

### isSetPostDelete

    boolean isSetPostDelete()

  True if has "post-delete" attribute

### setPostDelete

    void setPostDelete(boolean postDelete)

  Sets the "post-delete" attribute

### xsetPostDelete

    void xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)

  Sets (as xml) the "post-delete" attribute

### unsetPostDelete

    void unsetPostDelete()

  Unsets the "post-delete" attribute

### getErrorDelete

    boolean getErrorDelete()

  Gets the "error-delete" attribute

### xgetErrorDelete

    org.apache.xmlbeans.XmlBoolean xgetErrorDelete()

  Gets (as xml) the "error-delete" attribute

### isSetErrorDelete

    boolean isSetErrorDelete()

  True if has "error-delete" attribute

### setErrorDelete

    void setErrorDelete(boolean errorDelete)

  Sets the "error-delete" attribute

### xsetErrorDelete

    void xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)

  Sets (as xml) the "error-delete" attribute

### unsetErrorDelete

    void unsetErrorDelete()

  Unsets the "error-delete" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD